#include <stdio.h>

/* Routines for 12-byte integral files ********************************/
void INTWRITE(double core[1], long int *nint, FILE * *teintfile)
{
  fwrite (core , 12 , *nint , *teintfile );
}
void INTREAD(double core[1], long int *nint, long int *ipos, FILE * *teintfile)
{
  fseek ( *teintfile , *ipos*12 , SEEK_SET );
  fread (core , 12 , *nint , *teintfile );
}
void INTREADSQ(double core[1], long int *nint, FILE * *teintfile)
{
  fread (core , 12 , *nint , *teintfile );
}
void INTOPENW(FILE * *teintfile)
{
  *teintfile = fopen ( "TEINT" , "wb" );
/* setbuf ( *teintfile , NULL ); */
}
void INTOPENR(FILE * *teintfile)
{
  *teintfile = fopen ( "TEINT" , "rb" );
  setbuf ( *teintfile , NULL );
}
void INTOPENRSQ(FILE * *teintfile)
{
  *teintfile = fopen ( "TEINT" , "rb" );
}
void INTCLOSE(FILE * *teintfile)
{
fclose (*teintfile);
}
/* General routines for 8-byte files **********************************/
void INTOPENW8(FILE * *teintfile, const char * filename)
{
  *teintfile = fopen ( filename , "wb" );
/* setbuf ( *teintfile , NULL ); */
}
void INTOPENR8(FILE * *teintfile, const char * filename)
{
  *teintfile = fopen ( filename , "rb" );
  setbuf ( *teintfile , NULL );
}
void INTOPENRSQ8(FILE * *teintfile, const char * filename)
{
  *teintfile = fopen ( filename , "rb" );
}
void INTWRITE8(double core[1], long int *nint, FILE * *teintfile)
{
  fwrite (core , 8 , *nint , *teintfile );
}
void INTREAD8(double core[1], long int *nint, long int *ipos, FILE * *teintfile)
{
  fseek ( *teintfile , *ipos*8 , SEEK_SET );
  fread (core , 8 , *nint , *teintfile );
}
void INTREADSQ8(double core[1], long int *nint, FILE * *teintfile)
{
  fread (core , 8 , *nint , *teintfile );
}
void INTFDEL(const char * filename)
{
  remove ( filename );
}
void INTOPENRAI(FILE * *teintfile)
{
  *teintfile = fopen ( "DFINT_AI" , "rb" );
  setbuf ( *teintfile , NULL );
}
void INTOPENRMI(FILE * *teintfile)
{
  *teintfile = fopen ( "DFINT_MI" , "rb" );
  setbuf ( *teintfile , NULL );
}
void INTOPENROS(FILE * *teintfile)
{
  *teintfile = fopen ( "OSVFILE" , "rb" );
  setbuf ( *teintfile , NULL );
}
void INTOPENWAI(FILE * *teintfile)
{
  *teintfile = fopen ( "DFINT_AI" , "wb" );
}
void INTOPENWMI(FILE * *teintfile)
{
  *teintfile = fopen ( "DFINT_MI" , "wb" );
}
void INTOPENWOS(FILE * *teintfile)
{
  *teintfile = fopen ( "OSVFILE" , "wb" );
}
void INTOPENRSQMI(FILE * *teintfile)
{
  *teintfile = fopen ( "DFINT_MI" , "rb" );
}
void INTOPENRSQTC(FILE * *teintfile)
{
  *teintfile = fopen ( "TCINT" , "rb" );
}
void INTOPENWTC(FILE * *teintfile)
{
  *teintfile = fopen ( "TCINT" , "wb" );
}
